## plasmatube 25.08.1

=== debian/changelog ===
plasmatube (25.08.1-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 02:43:54 +0000

plasmatube (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 12:01:28 +0000

plasmatube (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:21:54 +0000

plasmatube (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 23:56:57 +0000

plasmatube (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:48:38 +0000

plasmatube (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:13:10 +0000

plasmatube (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:39:45 +0000

plasmatube (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 16:12:48 +0000

plasmatube (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:28:24 +0000

plasmatube (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:39:31 +0000

plasmatube (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:14:41 +0000

plasmatube (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:39:18 +0000

plasmatube (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 23:03:45 +0000

plasmatube (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:35:56 +0000

plasmatube (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:25:40 +0000

plasmatube (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 13:11:04 +0000

plasmatube (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:21:47 +0000

plasmatube (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 05:20:52 +0000

plasmatube (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:55:15 +0000

plasmatube (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:31:32 +0000

plasmatube (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 17:33:35 +0000

plasmatube (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 18:08:51 +0000

plasmatube (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:56:50 +0000

plasmatube (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:40:17 +0000

plasmatube (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:16:18 +0000

## plasmatube 25.08.1+p24.04+vstable+git20250910.0243

=== debian/changelog ===
plasmatube (25.08.1+p24.04+vstable+git20250910.0243-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 02:43:57 +0000

## plasmatube 25.08.1+p24.04+vstable+git20251001.1108

=== debian/changelog ===
plasmatube (25.08.1+p24.04+vstable+git20251001.1108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 11:08:32 +0000

## plasmatube 25.08.2

=== debian/changelog ===
plasmatube (25.08.2-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 06:50:31 +0000

plasmatube (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:28:01 +0000

## plasmatube 25.08.2+p24.04+vstable+git20251011.0948

=== debian/changelog ===
plasmatube (25.08.2+p24.04+vstable+git20251011.0948-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 09:48:07 +0000

## plasmatube 25.08.2+p24.04+vstable+git20251015.1033

=== debian/changelog ===
plasmatube (25.08.2+p24.04+vstable+git20251015.1033-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:33:20 +0000

## plasmatube 25.08.3+p24.04+vunstable+git20251126.0322

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Linus Jahn <lnj@kaidan.im>
# SPDX-License-Identifier: CC0-1.0

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "26")
set(RELEASE_SERVICE_VERSION_MINOR "03")
set(RELEASE_SERVICE_VERSION_MICRO "70")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(plasmatube VERSION ${RELEASE_SERVICE_VERSION})

set(KF_MIN_VERSION "6.5.0")
set(QT_MIN_VERSION "6.5.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(FeatureSummary)
include(ECMFindQmlModule)
include(ECMQtDeclareLoggingCategory)
include(ECMQmlModule)
include(ECMAddAndroidApk)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Gui Svg QuickControls2 Widgets Concurrent)

if (BUILD_TESTING)
    include(ECMAddTests)
    find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Test)
endif()

set_package_properties(Qt6 PROPERTIES
        TYPE REQUIRED
        PURPOSE "Required application components"
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS CoreAddons Config Kirigami I18n)
set_package_properties(KF6 PROPERTIES
        TYPE REQUIRED
        PURPOSE "Required application components"
)

find_package(KF6KirigamiAddons 1.1.0 REQUIRED)
set_package_properties(KF6KirigamiAddons PROPERTIES
        TYPE REQUIRED
        PURPOSE "Required application components and runtime dependency"
)

find_package(MpvQt REQUIRED)
set_package_properties(MpvQt PROPERTIES
        TYPE REQUIRED
        PURPOSE "Video playback"
)

find_package(Qt6Keychain)
set_package_properties(Qt6Keychain PROPERTIES
        TYPE REQUIRED
        PURPOSE "Secure storage of account secrets"
)

ecm_find_qmlmodule(org.kde.purpose 1.0)

if (NOT ANDROID)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS DBus)
endif()

if (NOT ANDROID AND NOT WIN32 AND NOT APPLE)
    find_package(KF6DBusAddons ${KF_MIN_VERSION} REQUIRED)
    set_package_properties(KF6DBusAddons PROPERTIES
            PURPOSE "Single application support"
    )
    find_package(KF6WindowSystem ${KF_MIN_VERSION} REQUIRED)
    set_package_properties(KF6WindowSystem PROPERTIES
            PURPOSE "Misc windowing operations"
    )
endif ()

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX PLASMATUBE
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/plasmatube-version.h
)

add_subdirectory(src)

ki18n_install(po)

install(FILES org.kde.plasmatube.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.plasmatube.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.plasmatube.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

ecm_qt_install_logging_categories(
        EXPORT PLASMATUBE
        FILE plasmatube.categories
        SORT DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## plasmatube 25.08.2+p24.04+vstable+git20251028.1042

=== debian/changelog ===
plasmatube (25.08.2+p24.04+vstable+git20251028.1042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:42:22 +0000

=== debian/control ===
Source: plasmatube
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kwindowsystem-dev,
               libmpv-dev,
               mpvqt-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev,
               qtkeychain-qt6-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/neon-packaging/plasmatube
Vcs-Git: https://invent.kde.org/neon/neon-packaging/plasmatube.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/plasmatube
Maintainer: Neon CI <neon@kde.org>

Package: plasmatube
Architecture: any
Depends: mpvqt, yt-dlp, ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Tube Video Watcher
 For watching videos from YouTube

## plasmatube 25.08.2+p24.04+vstable+git20251031.0950

=== debian/changelog ===
plasmatube (25.08.2+p24.04+vstable+git20251031.0950-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:50:03 +0000

## plasmatube 25.08.3

=== debian/changelog ===
plasmatube (25.08.3-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 15:37:23 +0000

plasmatube (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:33:29 +1000

## plasmatube 25.08.3+p24.04+vunstable+git20251126.0322

=== debian/changelog ===
plasmatube (25.08.3+p24.04+vunstable+git20251126.0322-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 26 Nov 2025 03:22:32 +0000

## plasmatube 25.12.0

=== debian/changelog ===
plasmatube (25.12.0-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 11:12:23 +0000

plasmatube (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:29:14 +1000

## plasmatube 25.12.0+p24.04+vstable+git20260103.0248

=== debian/changelog ===
plasmatube (25.12.0+p24.04+vstable+git20260103.0248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 02:48:29 +0000

## plasmatube 25.12.0+p24.04+vstable+git20260105.1114

=== debian/changelog ===
plasmatube (25.12.0+p24.04+vstable+git20260105.1114-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 11:14:44 +0000

## plasmatube 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(plasmatube VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
plasmatube (25.12.1-0zneon+24.04+noble+release+build27) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 13:06:34 +0000

plasmatube (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:17:36 +1000

## plasmatube 25.12.1+p24.04+vstable+git20260203.0907

=== debian/changelog ===
plasmatube (25.12.1+p24.04+vstable+git20260203.0907-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 09:07:27 +0000

## plasmatube 25.12.1+p24.04+vunstable+git20260201.0652

=== debian/changelog ===
plasmatube (25.12.1+p24.04+vunstable+git20260201.0652-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:52:21 +0000
